# Enum CalendarAccess

java.lang.Object
java.lang.Enum<CalendarAccess>
com.codename1.calendar.CalendarAccess

All Implemented Interfaces:
  `Comparable<CalendarAccess>`

public enum CalendarAccess extends Enum<CalendarAccess>
Permission level requested from a local or online calendar source.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENTS_FULL`
  `EVENTS_READ_ONLY`
  `EVENTS_WRITE_ONLY`
  `TASKS_FULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarAccess`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarAccess[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENTS_READ_ONLY

    public static final CalendarAccess EVENTS_READ_ONLY

  - ### EVENTS_WRITE_ONLY

    public static final CalendarAccess EVENTS_WRITE_ONLY

  - ### EVENTS_FULL

    public static final CalendarAccess EVENTS_FULL

  - ### TASKS_FULL

    public static final CalendarAccess TASKS_FULL

- ## Method Details

  - ### values

    public static CalendarAccess[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarAccess valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null